# MatSeqAIJSetColumnIndices

Set the column indices for all the rows in the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSeqAIJSetColumnIndices(Mat mat,PetscInt *indices)

### Input Parameters

| mat | - the SeqAIJ matrix
| indices | - the column indices

### Notes

This can be called if you have precomputed the nonzero structure of the matrix and want to provide it to the matrix object to improve the performance of the MatSetValues() operation.

You MUST have set the correct numbers of nonzeros per row in the call to MatCreateSeqAIJ(), and the columns indices MUST be sorted.

MUST be called before any calls to MatSetValues();

The indices should start with zero, not one.

Level:advanced
Location:src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages